Skip to main content
`Ctrl`+`K`

# DMGetNaturalSF

Get the `PetscSF` encoding the map back to the original mesh ordering

## Synopsis

    #include "petscdm.h"
    #include "petscdmlabel.h"
    #include "petscds.h"
    PetscErrorCode DMGetNaturalSF(DM dm, PetscSF *sf)

## Input Parameter

- dm - The `DM`

## Output Parameter

- sf - The `PetscSF`

## Note

This gets a borrowed reference, so the user should not destroy this `PetscSF`.

## See Also

DM Basics, `DM`, `DMSetNaturalSF()`, `DMSetUseNatural()`, `DMGetUseNatural()`, `DMPlexCreateGlobalToNaturalSF()`, `DMPlexDistribute()`

## Level

intermediate

## Location

src/dm/interface/dm.c

Index of all DM routines
Table of Contents for all manual pages
Index of all manual pages